> # NAME

> cgD3D9SetManageTextureParameters - set the manage texture parameters flag for a context

> # SYNOPSIS

>       #include <Cg/cgD3D9.h>

>       void cgD3D9SetManageTextureParameters( CGcontext context,
>                                              CGbool flag );

> # PARAMETERS

> context

>   The context in which the automatic texture management behavior will be changed.

> flag

>   A boolean switch which controls automatic texture management by the runtime.

> # RETURN VALUES

> None.

> # DESCRIPTION

> By default, cgD3D9 does not manage any texture state in D3D. It is up to the user to enable and disable textures using D3D. This behavior is the default to avoid conflicts with texture state on geometry that's rendered with the fixed function pipeline or without cgD3D9.

> If automatic texture management is desired, cgD3D9SetManageTextureParameters may be called with flag set to CG_TRUE before cgD3D9BindProgram|cgD3D9BindProgram is called. Whenever cgD3D9BindProgram is called, the cgD3D9 runtime will make all the appropriate texture parameter calls on the application's behalf.

> Calling cgD3D9SetManageTextureParameters with flag set to CG_FALSE will disable automatic texture management.

> NOTE: When cgD3D9SetManageTextureParameters is set to CG_TRUE, applications should not make texture state change calls to D3D after calling cgD3D9BindProgram, unless the application is trying to override some parts of cgD3D9's texture management.

> # EXAMPLES

>       // Enable automatic texture management
>       cgD3D9SetManageTextureParmeters( pCtx, CG_TRUE );

> # ERRORS

> None.

> # HISTORY

> cgD3D9SetManageTextureParameters was introduced in Cg 1.5.

> # SEE ALSO

> cgD3D9GetManageTextureParameters, cgD3D9BindProgram,